class KFileMimeTypeInfo

# class KFileMimeTypeInfo | This class provides information about the capabilities that a KFilePlugin for a given mimetype has. More...
Definition | `#include <kfilemetainfo.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Attributes { Addable = 1, Removable = 2, Modifiable = 4, Cummulative = 8, Averaged = 16, MultiLine = 32, SqueezeText = 64 }
- enum Hint { NoHint = 0, Name = 1, Author = 2, Description = 3, Width = 4, Height = 5, Size = 6, Bitrate = 7, Length = 8, Hidden = 9, Thumbnail = 10 }
- enum Unit { NoUnit = 0, Seconds = 1, MilliSeconds = 2, BitsPerSecond = 3, Pixels = 4, Inches = 5, Centimeters = 6, Bytes = 7, FramesPerSecond = 8, DotsPerInch = 9, BitsPerPixel = 10, Hertz = 11, KiloBytes = 12 }
- class ItemInfo
- class GroupInfo

#### Public Methods

- KFileMimeTypeInfo ()
- ~KFileMimeTypeInfo ()
- QValidator * createValidator (const QString& group, const QString& key, QObject *parent = 0, const char *name = 0) const
- QStringList supportedGroups () const
- QStringList translatedGroups () const
- QStringList preferredGroups () const
- QString mimeType () const
- const GroupInfo * groupInfo ( const QString& group ) const
- QStringList supportedKeys () const
- QStringList preferredKeys () const
- GroupInfo * addGroupInfo ( const QString& name, const QString& translatedName)

#### Public Members

- QString m_translatedName
- QStringList m_supportedKeys
- uint m_attr
- QDict m_itemDict

#### Protected Methods

- KFileMimeTypeInfo ( const QString& mimeType )

#### Protected Members

- QDict m_groups
- QString m_mimeType
- QStringList m_preferredKeys
- QStringList m_preferredGroups

## Detailed Description

This class provides information about the capabilities that a KFilePlugin for a given mimetype has. It includes a list of metainfo groups and items together with their type, a prefix, suffix and some other information about how to use, display or edit the items.

KFileMimeTypeInfo () | ### KFileMimeTypeInfo

enum Attributes { Addable = 1, Removable = 2, Modifiable = 4, Cummulative = 8, Averaged = 16, MultiLine = 32, SqueezeText = 64 } | ### Attributes

This enum is used to specify some attributes that an item can have, which fit neither in the Hint nor in the Unit enum.

- `Addable` The item or group can be added by a user
- `Removable` It can be removed
- `Modifiable` Its value can be edited (no meaning for a group)
- `Cummulative` If an application wants to display information for more than one file, it may add up the values for this item (e.g. play time of an mp3 file)
- `Averaged` Similar to Cummulative, but the average should be calculated instead of the sum
- `MultiLine` This attribute says that a string item is likely to be more than one line long, so for editing, a widget capable for multline text should be used
- `SqueezeText` If the text for this item is very long, it should be squeezed to the size of the widget where it's displayed

enum Hint { NoHint = 0, Name = 1, Author = 2, Description = 3, Width = 4, Height = 5, Size = 6, Bitrate = 7, Length = 8, Hidden = 9, Thumbnail = 10 } | ### Hint

This enum is mainly for items that have a special meaning for some applications.

- `NoHint` No hint
- `Name` The name or title of the document
- `Author` The one who created the contents of it
- `Description` Some information about the document
- `Width` A width in pixels
- `Height` A height in pixels
- `Size` A size in pixels (witdh and height)
- `Bitrate` For media files
- `Length` The length of the file, also for media files
- `Hidden` The item is usually not shown to the user
- `Thumbnail` The item is a thumbnail of the file

enum Unit { NoUnit = 0, Seconds = 1, MilliSeconds = 2, BitsPerSecond = 3, Pixels = 4, Inches = 5, Centimeters = 6, Bytes = 7, FramesPerSecond = 8, DotsPerInch = 9, BitsPerPixel = 10, Hertz = 11, KiloBytes = 12 } | ### Unit

This enum exists so that you can specify units for items, which you can usually use for integer items, so an application knows how to display it (e.g. a time in seconds in a hh:mm:ss form). You can either use one of those units, or if you don't find one that fits, you can add it yourself using a prefix and/or suffix.

- `NoUnit` None of the listed units
- `Seconds` The item represents a time in seconds
- `MilliSeconds` The item represents a time in milliseconds
- `BitsPerSecond` A bit rate
- `Pixels` For resolutions
- `Inches` Sizes
- `Centimeters` Sizes
- `Bytes` Some data/file size in bytes
- `KiloBytes` Some data/file size in kilobytes
- `FramesPerSecond` A frame rate
- `DotsPerInch` Resolution in DPI
- `BitsPerPixel` A bit depth
- `Hertz` Sample rates and similar

ItemInfo (class) | ### ItemInfo

This is the class for one item of a KFileMimeTypeInfo. It contains every information about a KFileMetaInfoItem that this item has in common for each file of a specific mimetype.

GroupInfo (class) | ### GroupInfo

This is the class for one group of items of a KFileMimeTypeInfo. It contains, among other things, the information about the group's name and a list of supported items.

~KFileMimeTypeInfo () | ### ~KFileMimeTypeInfo

QValidator * createValidator (const QString& group, const QString& key, QObject *parent = 0, const char *name = 0) | ### createValidator

[const]

Creates a validator for this item. Make sure to supply a proper parent argument or delete the validator yourself.

QStringList supportedGroups () | ### supportedGroups

[const]

Returns the list of all groups that the plugin for this mimetype supports.

Returns: the list of groups

QStringList translatedGroups () | ### translatedGroups

[const]

Same as the above function, but returns the strings to display to the user.

Returns: the list of groups

QStringList preferredGroups () | ### preferredGroups

[const]

This returns the list of groups in the preferred order that's specified in the .desktop file.

Returns: the list of groups

QString mimeType () | ### mimeType

[const]

Returns the mimetype to which this info belongs.

const GroupInfo * groupInfo ( const QString& group ) | ### groupInfo

[const]

Get the group info for a specific group.

Returns: a pointer to the info. Don't delete this object!

QStringList supportedKeys () | ### supportedKeys

[const]

Return a list of all supported keys without looking for a specific group

Returns: the list of keys

QStringList preferredKeys () | ### preferredKeys

[const]

Return a list of all supported keys in preference order

Returns: the list of keys

GroupInfo * addGroupInfo ( const QString& name, const QString& translatedName) | ### addGroupInfo

QString m_translatedName | ### m_translatedName

QStringList m_supportedKeys | ### m_supportedKeys

uint m_attr | ### m_attr

QDict m_itemDict | ### m_itemDict

KFileMimeTypeInfo ( const QString& mimeType ) | ### KFileMimeTypeInfo

[protected]

QDict m_groups | ### m_groups

[protected]

QString m_mimeType | ### m_mimeType

[protected]

QStringList m_preferredKeys | ### m_preferredKeys

[protected]

QStringList m_preferredGroups | ### m_preferredGroups

[protected]

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:57 2003, using kdoc 2.0a54.